LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 02-21-2005, 01:31 PM   #1
Koven
Member
 
Registered: Dec 2003
Distribution: Arch Linux
Posts: 49

Rep: Reputation: 15
Problem installing amavisd


I've been installing amavisd through yum but it doesn't work right now. I installed through yum last week succesfully but now i want to try it and it gives me this error


Code:
Problem in the Amavis::Unpackers code: Can't locate Archive/Tar.pm in @INC (@INC contains: /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl) at (eval 41) line 20.  BEGIN failed--compilation aborted at (eval 41) line 20.
I tried to download or getting info from dag repositories and it gives me another error like this...

Code:
[root@localhost ~]# yum info amavisd  

Setting up Repo:  dries  repomd.xml                100% |=========================|  951 B    00:00  
Setting up Repo:  atrpms  repomd.xml                100% |=========================|  951 B    00:00  
Setting up Repo:  dag  repomd.xml                100% |=========================| 1.1 kB    00:00  
Setting up Repo:  updates-released  repomd.xml                100% |=========================|  951 B    00:00  
Setting up Repo:  newrpms  repomd.xml                100% |=========================| 1.1 kB    00:00  
Setting up Repo:  freshrpms  repomd.xml                100% |=========================|  951 B    00:00  
Setting up Repo:  base  repomd.xml                100% |=========================| 1.1 kB    00:00  

Reading repository metadata in from local files  dries     : ################################################## 717/717  atrpms    : 
################################################## 1097/1097  primary.xml.gz            100% |=========================| 675 kB    00:08  
primary.xml.gz            100% |=========================| 675 kB    00:09  
primary.xml.gz            100% |=========================| 675 kB    00:12  

Error: failure: repodata/primary.xml.gz from dag: [Errno 256] No more mirrors to try.
I need another reopository with amavis but the saddest stuff is when i try to uninstall amavisd, i see this one....

Setting up Remove Process
No Packages marked for removal

Give me a light because i need to install this anti virus software on a fedore core 3 distro.

Regards.

Last edited by Koven; 02-21-2005 at 01:36 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
amavisd unused ?? Wynand1 Suse/Novell 0 09-22-2005 07:50 AM
amavisd-new blacklisting TLDs packetz Linux - Software 0 04-11-2005 01:07 PM
amavisd-new does not start Ateo Linux - Networking 1 12-28-2004 02:39 AM
Postfix - amavisd (?) localhost.com joseph_1970 Linux - Software 1 02-13-2004 05:42 PM
Amavisd & Slackware PcHammer Linux - Software 0 07-17-2002 08:23 AM


All times are GMT -5. The time now is 07:34 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration